AbstractCatalinaTask (Apache Tomcat 9.0.73 API Documentation)

Package org.apache.catalina.ant

## Class AbstractCatalinaTask

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.Task
    - - org.apache.catalina.ant.BaseRedirectorHelperTask
      - - org.apache.catalina.ant.AbstractCatalinaTask

- All Implemented Interfaces:
    `java.lang.Cloneable`
  Direct Known Subclasses:
    `AbstractCatalinaCommandTask`, `FindLeaksTask`, `JKStatusUpdateTask`, `JMXGetTask`, `JMXQueryTask`, `JMXSetTask`, `ListTask`, `ResourcesTask`, `ServerinfoTask`, `SslConnectorCiphersTask`, `ThreaddumpTask`, `VminfoTask`

      public abstract class AbstractCatalinaTask
      extends BaseRedirectorHelperTask

  Abstract base class for Ant tasks that interact with the Manager web application for dynamically deploying and undeploying applications. These tasks require Ant 1.4 or later.
  Since:
    4.1
  Author:
    Craig R. McClanahan

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected java.lang.String` | `charset` | The charset used during URL encoding.
    `protected boolean` | `ignoreResponseConstraint` | If set to true - ignore the constraint of the first line of the response message that must be "OK -".
    `protected java.lang.String` | `password` | The login password for the `Manager` application.
    `protected java.lang.String` | `url` | The URL of the `Manager` application to be used.
    `protected java.lang.String` | `username` | The login username for the `Manager` application.

    - ### Fields inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `alwaysLog, failOnError, redirectErrStream, redirector, redirectorConfigured, redirectorElement, redirectOutput, redirectOutStream`

    - ### Fields inherited from class org.apache.tools.ant.Task

      `target, taskName, taskType, wrapper`

    - ### Fields inherited from class org.apache.tools.ant.ProjectComponent

      `description, location, project`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractCatalinaTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `execute()` | Execute the specified command.
    `void` | `execute​(java.lang.String command)` | Execute the specified command, based on the configured properties.
    `void` | `execute​(java.lang.String command, java.io.InputStream istream, java.lang.String contentType, long contentLength)` | Execute the specified command, based on the configured properties.
    `java.lang.String` | `getCharset()` |
    `java.lang.String` | `getPassword()` |
    `java.lang.String` | `getUrl()` |
    `java.lang.String` | `getUsername()` |
    `boolean` | `isIgnoreResponseConstraint()` |
    `void` | `setCharset​(java.lang.String charset)` |
    `void` | `setIgnoreResponseConstraint​(boolean ignoreResponseConstraint)` |
    `void` | `setPassword​(java.lang.String password)` |
    `void` | `setUrl​(java.lang.String url)` |
    `void` | `setUsername​(java.lang.String username)` |

    - ### Methods inherited from class org.apache.catalina.ant.BaseRedirectorHelperTask

      `addConfiguredRedirector, closeRedirector, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, handleOutput, isFailOnError, openRedirector, setAlwaysLog, setAppend, setCreateEmptyFiles, setError, setErrorProperty, setFailonerror, setLogError, setOutput, setOutputproperty`

    - ### Methods inherited from class org.apache.tools.ant.Task

      `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleInput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

    - ### Methods inherited from class org.apache.tools.ant.ProjectComponent

      `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### charset

          protected java.lang.String charset

      The charset used during URL encoding.

    - #### password

          protected java.lang.String password

      The login password for the `Manager` application.

    - #### url

          protected java.lang.String url

      The URL of the `Manager` application to be used.

    - #### username

          protected java.lang.String username

      The login username for the `Manager` application.

    - #### ignoreResponseConstraint

          protected boolean ignoreResponseConstraint

      If set to true - ignore the constraint of the first line of the response message that must be "OK -".

      When this attribute is set to `false` (the default), the first line of server response is expected to start with "OK -". If it does not then the task is considered as failed and the first line is treated as an error message.

      When this attribute is set to `true`, the first line of the response is treated like any other, regardless of its text.

  - ### Constructor Detail

    - #### AbstractCatalinaTask

          public AbstractCatalinaTask()

  - ### Method Detail

    - #### getCharset

          public java.lang.String getCharset()

    - #### setCharset

          public void setCharset​(java.lang.String charset)

    - #### getPassword

          public java.lang.String getPassword()

    - #### setPassword

          public void setPassword​(java.lang.String password)

    - #### getUrl

          public java.lang.String getUrl()

    - #### setUrl

          public void setUrl​(java.lang.String url)

    - #### getUsername

          public java.lang.String getUsername()

    - #### setUsername

          public void setUsername​(java.lang.String username)

    - #### isIgnoreResponseConstraint

          public boolean isIgnoreResponseConstraint()

    - #### setIgnoreResponseConstraint

          public void setIgnoreResponseConstraint​(boolean ignoreResponseConstraint)

    - #### execute

          public void execute()
                       throws org.apache.tools.ant.BuildException

      Execute the specified command. This logic only performs the common attribute validation required by all subclasses; it does not perform any functional logic directly.
      Overrides:
        `execute` in class `org.apache.tools.ant.Task`
      Throws:
        `org.apache.tools.ant.BuildException` - if a validation error occurs

    - #### execute

          public void execute​(java.lang.String command)
                       throws org.apache.tools.ant.BuildException

      Execute the specified command, based on the configured properties.
      Parameters:
        `command` - Command to be executed
      Throws:
        `org.apache.tools.ant.BuildException` - if an error occurs

    - #### execute

          public void execute​(java.lang.String command,
                              java.io.InputStream istream,
                              java.lang.String contentType,
                              long contentLength)
                       throws org.apache.tools.ant.BuildException

      Execute the specified command, based on the configured properties. The input stream will be closed upon completion of this task, whether it was executed successfully or not.
      Parameters:
        `command` - Command to be executed
        `istream` - InputStream to include in an HTTP PUT, if any
        `contentType` - Content type to specify for the input, if any
        `contentLength` - Content length to specify for the input, if any
      Throws:
        `org.apache.tools.ant.BuildException` - if an error occurs